﻿@import "settings/OffRoad";
@import "components/asciidoc";

h1, h2, h3, h4, h5, h6 {
	font-family: $font-title;
	text-transform: uppercase;
	margin: 0em;
	margin-top: 1em;
}

 // lists and nested lists indentation
////////////////////////////////////////
ul, .ulist, ul > li p,
ol, .olist, ol > li p,
.ulist .ulist, .ulist .olist,
.olist .olist, .olist .ulist {
	margin: 0em;
	padding: 0em;
}
ul, ol {
	margin-bottom: 1em;
	padding-left: 1em;
}

 // custom ordered list bullets
/////////////////////////////////
ul, ol {
	counter-reset: numList;
}
ol > li {
	position: relative;
	list-style: none;
	padding-left: $bullet-number-offset;
}
ol > li:before {
	counter-increment: numList;
	content: counter(numList);

	position: absolute;
	left: -$bullet-number-size;
	margin-top: $bullet-number-offset;
    
	width: $bullet-number-size;
	height: $bullet-number-size;
	background: $font-color;
    
	font: bold $bullet-number-font-size sans-serif;
	line-height: $bullet-number-size;
	text-align: center;
	color: #fff;

	border-radius: 999px;
}

 // side notes
////////////////
.sidebarblock {
  float: right;

  width: 25%;
  min-width: 12rem;

  margin-left: .5rem;
  padding: 0 .5rem 0 .5rem;
  text-align: left;
}
.sidebarblock > .content > .title {
  margin-top: 0;
  font-size: 1.4em;
}
